Get Vesting Schedule Timeseries Data
curl --request GET \
--url https://api.messari.io/token-unlocks/v1/assets/{assetId}/vesting-schedule \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/token-unlocks/v1/assets/{assetId}/vesting-schedule"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/token-unlocks/v1/assets/{assetId}/vesting-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"asset": {
"id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
"name": "Solana",
"slug": "solana",
"symbol": "SOL"
},
"genesisDate": "2020-04-07T00:00:00Z",
"projectedEndDate": "2029-03-01T00:00:00Z",
"startTime": "2020-04-07T00:00:00Z",
"endTime": "2021-03-07T00:00:00Z",
"totalDailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 1553853121.763593,
"cumulativeUnlockedNative": 8225000,
"unlocksRemainingUSD": 88433606755.39777,
"unlocksRemainingNative": 468105000,
"percentOfUnlocksCompleted": 0.017267440639892512
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 1553853121.763593,
"cumulativeUnlockedNative": 8225000,
"unlocksRemainingUSD": 88433606755.39777,
"unlocksRemainingNative": 468105000,
"percentOfUnlocksCompleted": 0.017267440639892512
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 1553853121.763593,
"cumulativeUnlockedNative": 8225000,
"unlocksRemainingUSD": 88433606755.39777,
"unlocksRemainingNative": 468105000,
"percentOfUnlocksCompleted": 0.017267440639892512
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 1553853121.763593,
"cumulativeUnlockedNative": 8225000,
"unlocksRemainingUSD": 88433606755.39777,
"unlocksRemainingNative": 468105000,
"percentOfUnlocksCompleted": 0.017267440639892512
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 1553853121.763593,
"cumulativeUnlockedNative": 8225000,
"unlocksRemainingUSD": 88433606755.39777,
"unlocksRemainingNative": 468105000,
"percentOfUnlocksCompleted": 0.017267440639892512
}
],
"allocations": [
{
"allocationRecipient": "Validator Sale",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 4892984298.319399,
"unlocksRemainingNative": 25900000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 4892984298.319399,
"unlocksRemainingNative": 25900000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 4892984298.319399,
"unlocksRemainingNative": 25900000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 4892984298.319399,
"unlocksRemainingNative": 25900000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 4892984298.319399,
"unlocksRemainingNative": 25900000,
"percentOfUnlocksCompleted": 0
}
]
},
{
"allocationRecipient": "FTX Estate",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 2234903638.962104,
"unlocksRemainingNative": 11830000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 2234903638.962104,
"unlocksRemainingNative": 11830000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 2234903638.962104,
"unlocksRemainingNative": 11830000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 2234903638.962104,
"unlocksRemainingNative": 11830000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 2234903638.962104,
"unlocksRemainingNative": 11830000,
"percentOfUnlocksCompleted": 0
}
]
},
{
"allocationRecipient": "Founding Sale",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 8850822948.890495,
"unlocksRemainingNative": 46850000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 8850822948.890495,
"unlocksRemainingNative": 46850000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 8850822948.890495,
"unlocksRemainingNative": 46850000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 8850822948.890495,
"unlocksRemainingNative": 46850000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 8850822948.890495,
"unlocksRemainingNative": 46850000,
"percentOfUnlocksCompleted": 0
}
]
},
{
"allocationRecipient": "Team",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 12090772011.29118,
"unlocksRemainingNative": 64000000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 12090772011.29118,
"unlocksRemainingNative": 64000000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 12090772011.29118,
"unlocksRemainingNative": 64000000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 12090772011.29118,
"unlocksRemainingNative": 64000000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 12090772011.29118,
"unlocksRemainingNative": 64000000,
"percentOfUnlocksCompleted": 0
}
]
},
{
"allocationRecipient": "Strategic Sale",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 1775832139.158392,
"unlocksRemainingNative": 9400000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-08T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 1775832139.158392,
"unlocksRemainingNative": 9400000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-09T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 1775832139.158392,
"unlocksRemainingNative": 9400000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-10T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 1775832139.158392,
"unlocksRemainingNative": 9400000,
"percentOfUnlocksCompleted": 0
},
{
"timestamp": "2020-04-11T00:00:00Z",
"cumulativeUnlockedUSD": 0,
"cumulativeUnlockedNative": 0,
"unlocksRemainingUSD": 1775832139.158392,
"unlocksRemainingNative": 9400000,
"percentOfUnlocksCompleted": 0
}
]
}
]
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Token Unlocks
Get Asset Vesting Schedule
Returns vesting schedule timeseries data for a given asset
GET
/
token-unlocks
/
v1
/
assets
/
{assetId}
/
vesting-schedule
Get Vesting Schedule Timeseries Data
x402 Support: Supported.
See the x402 guide.
Authorizations
Path Parameters
Asset identifier - accepts either slug (e.g. 'solana') or UUID
Example:
"solana"
Query Parameters
RFC3339 formatted start time
Example:
"2025-01-20T00:00:00Z"
RFC3339 formatted end time
Example:
"2025-02-01T00:00:00Z"
⌘I

